import PyInstaller.__main__
import os

# 确保在脚本所在目录运行
os.chdir(os.path.dirname(os.path.abspath(__file__)))

PyInstaller.__main__.run([
    'main.py',  # 主程序文件
    '--onefile',  # 打包成单个文件
    '--name=POE_Message_Forwarder',  # 输出文件名
    '--clean',  # 清理临时文件
    '--noconsole',  # 不显示控制台窗口
    '--hidden-import=PIL._tkinter',  # 确保PIL正确导入
    '--hidden-import=PIL._imaging',
]) 